package it.integry.integrywmsnative.core.rest.model;

import java.util.List;

/**
 * Created by GiuseppeS on 06/03/2018.
 */

public class ServiceRESTResponse<T> {

    private int esito;
    private String profileDB;
    private String errorMessage;

    private T dto;
    private T entity;
    private List<T> entityList;

    public EsitoType getEsito() {
        return EsitoType.fromIntValue(esito);
    }


    public String getProfileDB() {
        return profileDB;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public T getDto() {
        return dto;
    }

    public T getEntity() {
        return entity;
    }

    public List<T> getEntityList() {
        return entityList;
    }
}
